set terminal pslatex 8
set xlabel 'SNR (dB)'
set ylabel 'SER' offset 5,0
set logscale y
set format y '$10^{%L}$'
set yrange[0.00001:1]
set output 'results_run.tex'
eta = 1
capacity = -10
ebstart = 1.25
ebend = 3.8125
exist = system("[ -f eta.cfg ] && echo '1' || echo '0'") + 0
if (exist)  load 'eta.cfg' 
if (exist)  set xlabel '$E_\mathrm{b}/N_0$ (dB)'
set xrange[ebstart : ebend ]
set arrow from capacity,0.002 to capacity,0.9 nohead
set label 2 "Capacity bound"   at capacity+0.08,0.002 rotate left

set style line 1 lt 1 ps 1 pt 1 lc rgb 'black'
set style line 2 lt 1 ps 1 pt 1 lc rgb 'black'
set style line 3 lt 1 ps 1 pt 1 lc rgb 'black'
set style line 4 lt 1 ps 1 pt 1 lc rgb 'black'
set style line 5 lt 1 ps 1 pt 1 lc rgb 'black'
set style line 6 lt 1 ps 1 pt 1 lc rgb 'black'
set style line 7 lt 1 ps 1 pt 1 lc rgb 'purple'

set style line 11 lt 1 ps 1 pt 6 lc rgb 'black'    #ExpGEC
set style line 12 lt 1 ps 1 pt 7 lc rgb 'black'    #ExpGEC
set style line 13 lt 1 ps 1 pt 8 lc rgb 'black'    #ExpGEC
set style line 14 lt 1 ps 1 pt 9 lc rgb 'black'    #ExpGEC
set style line 15 lt 1 ps 1 pt 5 lc rgb 'black'    #ExpGEC

set style line 21 lt 1 ps 1 pt 4 lc rgb 'black'    #RiceEC
set style line 22 lt 1 ps 1 pt 5 lc rgb 'black'    #RiceEC
set style line 23 lt 1 ps 1 pt 1 lc rgb 'black'    #RiceEC
set style line 24 lt 1 ps 1 pt 2 lc rgb 'black'    #RiceEC
set style line 25 lt 1 ps 1 pt 3 lc rgb 'black'    #RiceEC

set style line 31 lt 2 ps 1 pt 1 lc rgb 'black'    #Expg
set style line 32 lt 2 ps 1 pt 2 lc rgb 'black'    #Expg
set style line 33 lt 2 ps 1 pt 3 lc rgb 'black'    #Expg
set style line 34 lt 2 ps 1 pt 4 lc rgb 'black'    #Expg
set style line 41 lt 2 ps 1 pt 2 lc rgb 'black'    #Rice
set style line 42 lt 2 ps 1 pt 3 lc rgb 'black'    #Rice
set style line 43 lt 2 ps 1 pt 4 lc rgb 'black'    #Rice
set style line 44 lt 2 ps 1 pt 5 lc rgb 'black'    #Rice
set style line 51 lt 2 ps 1 pt 3 lc rgb 'black'    #VLEC

set title '$p_1$=0.2, L=1000'

plot 'results_data.dat' using ($3-10*log10(eta)):($4==0) ? NaN : $4 with linespoints ls 11 title 'ExpGEC(0)', \
'results_data.dat' using ($5-10*log10(eta)):($6==0) ? NaN : $6 with linespoints ls 12 title 'ExpGEC(3)', \
'results_data.dat' using ($9-10*log10(eta)):($10==0) ? NaN : $10 with linespoints ls 22 title 'RiceEC(32)', \
'results_data.dat' using ($7-10*log10(eta)):($8==0) ? NaN : $8 with linespoints ls 31 title 'ExpG-CC(1)', \
'results_data.dat' using ($1-10*log10(eta)):($2==0) ? NaN : $2 with linespoints ls 41 title 'Rice-CC(64)